• Post Reply Bookmark Topic Watch Topic
  • New Topic

JDK1.3 and JDK1.1 compatibility in collection classes  RSS feed

 
Greenhorn
Posts: 12
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi,
I have to use a jar file made using JDK1.3 in my application written using JDK 1.1 .
I am facing some problems related to collecion classes.
For example I have to use a method in one of my classes (written using JDK1.1.1). This method is written in JDK1.3 which returns java.util.ArrayList. I have to convert it to com.sun.java.util.collections.ArrayList.
Can anybody help me in this matter......


Thanks in advance,

Honey
 
Ranch Hand
Posts: 580
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
First of all, you need to change your displayed name to adhere to the naming standards here at the ranch.

As for your question, I think you're going to have to change the source and recompile.
 
Sarah Jones
Greenhorn
Posts: 12
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
If the third party jar is being used then it is not possible to change the source for legal issues. There should be some wraaper classes for this purpose.
 
James Carman
Ranch Hand
Posts: 580
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Not that I know of. If the third-party class refers to java.util.ArrayList, then you have to use a 1.2+ JVM.
 
Sarah Jones
Greenhorn
Posts: 12
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
The probllem is that JVM cannot be upgraded as the applicaiton is running in MS JVM 1.1 in IIS.Any other solution............
 
James Carman
Ranch Hand
Posts: 580
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
You could write your own classes that do what the third-party classes do.
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!